#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libidn2
Version		:	2.3.7
Release		:	17.2.0.rel%{?dist}
Summary		:	Library of IDNA2008, Punycode and TR46.
Group		:	Library/email

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	https://ftp.gnu.org/gnu/libidn/ 

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	gnupg
BuildRequires	:	make
BuildRequires	:	texinfo

#-----------------------------------------------------------------------------
%description
Libidn2 is a free software implementation of IDNA2008, Punycode
and TR46 in the form a library. It contains functionality to convert
internationalized domain names to and from ASCII Compatible Encoding
(ACE), following the IDNA2008 and TR46 standards.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%{_bindir}/idn2
%{_libdir}/%{name}.so.0*
%{_infodir}/%{name}.info.gz
%{_mandir}/man1/idn2.1.gz

#=============================================================================
%package		devel
Summary		:	Development files for libidn2

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The libidn2-devel package contains libraries and
header files for developing applications that use
libidn2.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/idn2.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gtk-doc/html/%{name}/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_datadir}/gtk-doc/html/%{name}/%{name}.devhelp2
%{_mandir}/man3/idn2_*.3.gz

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

#autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__make}						\
	-C tests					\
	check

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%{__rm} -fr %{buildroot}%{_infodir}/dir

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
